Preview Firewall Configuration
POST
/network/firewall/advanced/preview
const url = 'https://sylve.lan:8181/api/network/firewall/advanced/preview';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"postNatDecl":"example","postRules":"example","postTrafficAnchor":"example","preNatDecl":"example","preRules":"example","preTrafficAnchor":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/network/firewall/advanced/preview \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "postNatDecl": "example", "postRules": "example", "postTrafficAnchor": "example", "preNatDecl": "example", "preRules": "example", "preTrafficAnchor": "example" }'Validate and render a candidate advanced PF configuration without persisting or applying it
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Firewall Advanced Settings Preview Request
Media typeapplication/json
object
postNatDecl
string
postRules
string
postTrafficAnchor
string
preNatDecl
string
preRules
string
preTrafficAnchor
string
Examplegenerated
{ "postNatDecl": "example", "postRules": "example", "postTrafficAnchor": "example", "preNatDecl": "example", "preRules": "example", "preTrafficAnchor": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
natRules
string
objectTables
string
pfConf
string
trafficRules
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "natRules": "example", "objectTables": "example", "pfConf": "example", "trafficRules": "example" }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Payload Too Large
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}